*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:Arial, Helvetica, sans-serif;
    background:#f4f2ff;
}

.container{
    display:flex;
}

.sidebar{
    width:250px;
    background:white;
    height:100vh;
    padding:20px;
    position:fixed;
    box-shadow:0 0 10px rgba(0,0,0,0.1);
}

.logo{
    color:#6c4df6;
    margin-bottom:30px;
}

.menu a{
    display:block;
    padding:15px;
    margin-bottom:10px;
    text-decoration:none;
    color:black;
    border-radius:10px;
}

.menu a:hover,
.active{
    background:#6c4df6;
    color:white;
}

.main{
    margin-left:270px;
    width:100%;
    padding:20px;
}

.topbar{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:20px;
}

.search{
    width:300px;
    padding:12px;
    border-radius:10px;
    border:1px solid #ccc;
}

.books-section{
    margin-bottom:40px;
}

.books{
    display:flex;
    gap:20px;
    flex-wrap:wrap;
}

.book{
    width:160px;
    background:white;
    border-radius:15px;
    padding:10px;
    cursor:pointer;
    transition:0.3s;
}

.book:hover{
    transform:scale(1.05);
}

.book img{
    width:100%;
    height:220px;
    border-radius:10px;
    object-fit:cover;
}

.book h4{
    margin-top:10px;
    font-size:15px;
}

.book p{
    color:gray;
    font-size:14px;
}

.categories{
    display:flex;
    gap:15px;
    flex-wrap:wrap;
}

.category{
    background:white;
    padding:15px 20px;
    border-radius:12px;
}

.reader-box{
    background:white;
    padding:20px;
    border-radius:20px;
    margin-top:20px;
}

.timer{
    font-size:35px;
    color:#6c4df6;
    margin:20px 0;
}

.controls button{
    padding:10px 20px;
    border:none;
    border-radius:10px;
    background:#6c4df6;
    color:white;
    cursor:pointer;
}

.progress{
    width:100%;
    height:15px;
    background:#ddd;
    border-radius:20px;
    overflow:hidden;
    margin-top:20px;
}

.progress-bar{
    width:40%;
    height:100%;
    background:#6c4df6;
}

.stats-box{
    display:flex;
    gap:20px;
    margin-top:20px;
}

.stat{
    background:white;
    padding:20px;
    border-radius:15px;
    width:200px;
}